Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.config.impl.digester.elements
Class Component

    java.lang.Object
      org.apache.myfaces.config.impl.digester.elements.Component

public class Component
extends java.lang.Object

Author:
  Oliver Rossmueller

Constructor Summary
`Component()`

Method Summary
`java.lang.String` | `getComponentClass()`
`java.lang.String` | `getComponentType()`
`void` | `setComponentClass(java.lang.String componentClass)`
`void` | `setComponentType(java.lang.String componentType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Component

    public Component()

Method Detail

### setComponentType

    public void setComponentType(java.lang.String componentType)

### setComponentClass

    public void setComponentClass(java.lang.String componentClass)

### getComponentType

    public java.lang.String getComponentType()

### getComponentClass

    public java.lang.String getComponentClass()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD